Bug 1015461 - Name of switchyard.xml is not updated in editor tab after renaming
Name of switchyard.xml is not updated in editor tab after renaming
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity low
: ER7
: ---
Assigned To: Rob Cernich
Tomas Rohovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 06:23 EDT by Tomas Rohovsky
Modified: 2016-01-04 00:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1752 Minor Closed Name of switchyard.xml is not updated in editor tab after renaming 2014-06-16 19:52:11 EDT

  None (edit)
Description Tomas Rohovsky 2013-10-04 06:23:59 EDT
Description of problem:
Name of switchyard.xml is not updated in editor tab after renaming. Although it is required to name the config file as switchyard.xml, there are meaningful use cases for renaming of it. For example when creating backup version of it.

Version-Release number of selected component (if applicable):
1.1.0.v20130912-2244-H393-M2

Steps to Reproduce:
1. open switchyard.xml in editor
2. rename it

Actual results:
The name in editor tab is still switchyard.xml

Expected results:
There should be the new name.
Comment 2 JBoss JIRA Server 2013-10-07 19:12:47 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1752

I have the code now listening for resource changed events and closing the editor when the file is deleted or renamed. Continuing to investigate how to get the editor to reflect the name change in a more friendly fashion.
Comment 3 JBoss JIRA Server 2013-10-10 16:19:14 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1752

[~trohovsky] - Couple of things. I am not going to be able to get the editor to update properly in the short term. But I have a fix in place to close the editor should the file name change or the file be deleted. It's not the most ideal of solutions, I know. Do we want to hold off on this to the next release when we have a bit more time to look into it?
Comment 4 JBoss JIRA Server 2013-10-14 05:29:51 EDT
Tomas Rohovsky <trohovsk@redhat.com> made a comment on jira SWITCHYARD-1752

I do not like the solution with closing of the editor. I would definitely let the solution of this issue to the next release, if it will be more user friendly afterwards.
Comment 5 JBoss JIRA Server 2013-10-14 16:01:34 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1752

Ok. I have moved the "delete the file, close the editor" issue to SWITCHYARD-1770 so that's covered in this release. And we will continue to research this as we move forward. Thanks for the feedback Tomas!
Comment 6 JBoss JIRA Server 2013-10-28 19:31:12 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1752

This also provides refactoring support when copying/moving/deleting switchyard.xml files.  The refactoring support will copy/move/delete the corresponding diagram file in the project's .xml folder, including all diagram references to the source file.

This removes the resource handler that was previously put in place to handle closing the editor when the switchyard.xml file was deleted and now uses the built-in mechanism provided by the graphiti framework.  (Resource change listeners come with a performance penalty and can bog down the entire workspace.)
Comment 7 JBoss JIRA Server 2013-11-01 08:55:51 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1752

pushed
Comment 8 JBoss JIRA Server 2014-06-16 19:52:11 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1752 to Closed

Note You need to log in before you can comment on or make changes to this bug.